# andromeda

[![build](https://github.com/mchaney-dev/andromeda/actions/workflows/test_build.yml/badge.svg)](https://github.com/mchaney-dev/andromeda/actions/workflows/test_build.yml) [![release](https://github.com/mchaney-dev/andromeda/actions/workflows/test_release.yml/badge.svg)](https://github.com/mchaney-dev/andromeda/actions/workflows/test_release.yml) [![docs](https://readthedocs.org/projects/andromeda-nlp/badge/?version=latest)](https://andromeda-nlp.readthedocs.io/en/latest/?badge=latest)

Easy longform text generation.

## Known Issues
- Some modules are not being imported properly when the package is downloaded from PyPi. **PyPi releases have been yanked temporarily.**

## Roadmap
- [x] Add base features (ability to save/load model, change model configuration, training and eval utilities)
- [ ] Add utility functions for running the package in a Google Colab instance
- [ ] Add visualizers for training and evaluation
- [ ] Add live Google Colab demo to documentation

## Installation
Install from PyPI:
```
pip install andromeda-nlp
```

## Documentation
Read the documentation for this project [here.](https://andromeda-nlp.readthedocs.io/en/latest/)

## Goals
- Serve as an easy-to-understand introduction to text generation, even for those with little to no programming experience
- The package should be modular and expandable; contributions are always encouraged

## Contributing
To contribute, [look at open issues](https://github.com/mchaney-dev/andromeda/issues), fork the repository and open a pull request with your changes. Or, if you experience an issue, please open one!
